%define anolis_release 1

Name:           python-notebook-shim
Version:        0.2.3
Release:        %{anolis_release}%{?dist}
Summary:        A shim layer for notebook traits and config
License:        BSD-3-Clause
URL:            https://pypi.org/project/notebook-shim/
Source:         %{pypi_source notebook_shim}

BuildArch:      noarch
BuildRequires:  python3-devel
# https://github.com/jupyter/notebook_shim/issues/28
BuildRequires:  python3-pytest-jupyter

%global _description %{expand:
This project provides a way for JupyterLab and other frontends
to switch to Jupyter Server for their Python Web application backend.}


%description %_description

%package -n     python3-notebook-shim
Summary:        %{summary}

Requires:  python-jupyter-filesystem

%description -n python3-notebook-shim %_description


%prep
%autosetup -p1 -n notebook_shim-%{version}

# pytest-tornasync will never be available in Fedora
# and upstream will switch to pytest-jupyter soon
sed -i "/pytest-tornasync/d" pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files notebook_shim

install -m 0755 -p -d %{buildroot}%{_sysconfdir}/jupyter/jupyter_server_config.d
mv -v %{buildroot}{%{_prefix},}%{_sysconfdir}/jupyter/jupyter_server_config.d/notebook_shim.json

echo "%%{python3_sitelib}/notebook_shim-%{version}.dist-info/licenses/LICENSE" >> %{pyproject_files}

%check
%pytest


%files -n python3-notebook-shim -f %{pyproject_files}
%config(noreplace) %{_sysconfdir}/jupyter/jupyter_server_config.d/notebook_shim.json


%changelog
* Thu May 18 2023 Funda Wang <fundawang@yeah.net> - 0.2.3-1
- Import package for anolis 23
